Unable to use Enhanced Multicore Support

For help and support with issues specific to Linux/Unix
Forum rules
Please make sure you follow the Problem Reporting Guidelines before posting if you want a reply.

Unable to use Enhanced Multicore Support

Postby ohsupervinchan » Tue May 05, 2009 2:53 am

I am running PMS 1.10.5 on Ubuntu 8.04 Hardy Heron on a 2GHz AMD Dual Core system. For some reason, I can never select the "Enhanced multicore support for H264 HD content" option in the Mencoder options menu because it is greyed out. I have been searching all over these forums and the internet for the past three days but have not found a solution. Is there anyone who can help me with this issue? I can post more detailed info if need be. Many thanks in advance.
ohsupervinchan
 
Posts: 3
Joined: Tue May 05, 2009 2:37 am

Re: Unable to use Enhanced Multicore Support

Postby shagrath » Tue May 05, 2009 8:17 am

it's up to you to compile mencoder with multithreading support...
shagrath
Project Lead
 
Posts: 2667
Joined: Wed Jan 14, 2009 1:39 pm

Re: Unable to use Enhanced Multicore Support

Postby moreje » Tue May 05, 2009 1:57 pm

I've try too.... but this box also stays grayed out ....So I m not sure if multi threading is activated or not
Ubuntu x64 9.10 Karmic Koala
Phenom x3 - 5.5 Go RAM
1GB ethernet connection (direct PS3->PC)
moreje
 
Posts: 35
Joined: Fri Jan 23, 2009 10:15 am

Re: Unable to use Enhanced Multicore Support

Postby shagrath » Tue May 05, 2009 7:37 pm

in fact it's always grayed out on Linux, as there's no multiple mencoder binaries on the path... to verify the multithreading, if both cores goes up to 90/95% usage when transcoding an HD H264 video, then it's ok :)
shagrath
Project Lead
 
Posts: 2667
Joined: Wed Jan 14, 2009 1:39 pm

Re: Unable to use Enhanced Multicore Support

Postby Xeo84 » Tue May 05, 2009 8:30 pm

i confirm that with mencoder with multithread support the checkbox is dimmed but it works ok with both core!
Xeo84
 
Posts: 21
Joined: Sat Mar 07, 2009 1:57 pm

Re: Unable to use Enhanced Multicore Support

Postby groff » Wed May 06, 2009 5:13 pm

As far as I am aware the names of the binaries for mencoder do not change if you compile it with -mt support - and that's probably the main reason why, on Linux, the option to use the multithreaded mencoder will always be grayed.

But since "mencoder" == "mencoder-mt" if you compile it with multithreading then it should work regardless.
groff
 
Posts: 17
Joined: Sun Apr 05, 2009 2:21 pm

Re: Unable to use Enhanced Multicore Support

Postby moreje » Fri May 15, 2009 9:05 pm

I do not feel very confortable with the different versions of mencoder / mplayer etc...

I followed a tutorial found here to compile mencoder..
I am using ubuntu 9.04 x64... how can I find which version of mencoder I use and if it is the latest release... (synaptics tels me that it is not installed and propose the 2.1.0-svn, but if I type mencoder at the command line, I get: MEncoder UNKNOWN-4.3.3 (C) 2000-2009 MPlayer Team)

So I suppose I should not install the version from synaptics.....

thanks for your suggestions
;)
Jerome
Ubuntu x64 9.10 Karmic Koala
Phenom x3 - 5.5 Go RAM
1GB ethernet connection (direct PS3->PC)
moreje
 
Posts: 35
Joined: Fri Jan 23, 2009 10:15 am

Re: Unable to use Enhanced Multicore Support

Postby groff » Sun May 17, 2009 12:48 am

Which version does synaptics suggest for "mplayer*? Mencoder belongs to this package. I'm not sure but my stable version of mplayer says 1.0 rc2 - you could probably get away with using an older version.

If you want to you could also download the binary precompiled version from the mplayer web site. It runs on pretty much anything as long as you have the necessary libraries installed (running mplayer command in console should tell you if something is missing).

EDIT: when I run mencoder on my system I get: MEncoder SVN-r28450-4.1.2
groff
 
Posts: 17
Joined: Sun Apr 05, 2009 2:21 pm

Re: Unable to use Enhanced Multicore Support

Postby Morb » Tue Jun 09, 2009 10:07 pm

Got the same issue, a 1080p movie will stream for 2 minutes or so and then just stops.

Concerning the compiling of mencoder, is this the link you used?

http://ubuntuforums.org/showthread.php?t=1081070

I'm a noob in linux ...*sigh* :)
Morb
 
Posts: 14
Joined: Sun Jun 07, 2009 10:54 am

Re: Unable to use Enhanced Multicore Support

Postby Morb » Sun Jun 14, 2009 11:19 am

bump, anyone else having the same issue that 1080p movies just stop after a few minutes?
Morb
 
Posts: 14
Joined: Sun Jun 07, 2009 10:54 am


Return to Linux/Unix Support

Who is online

Users browsing this forum: No registered users and 5 guests